petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSegBufferUnuse

return some unused entries obtained with an overzealous PetscSegBufferGet()

### Synopsis

    PetscErrorCode PetscSegBufferUnuse(PetscSegBuffer seg,size_t unused)

Not Collective

### Input Arguments

| seg | - segmented buffer object
| unused | - number of unused units

### See Also

PetscSegBufferCreate(), PetscSegBufferGet()

### Level

developer

### Location

src/sys/utils/segbuffer.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages